% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/evaluation_withmixedeffect.R
\name{compareInferenceToExpected}
\alias{compareInferenceToExpected}
\title{Compare inference results to expected values for a given model.}
\usage{
compareInferenceToExpected(tidy_tmb, ground_truth_eff, formula_used)
}
\arguments{
\item{tidy_tmb}{A fitted model object convert to tidy dataframe.}

\item{ground_truth_eff}{A ground truth dataset with the simulated effects.}

\item{formula_used}{formula used in model}
}
\value{
A data frame containing the comparison results, including the term names, inference values, and expected values.
}
\description{
This function compares the inference results from a model to the expected values based on a ground truth dataset with the simulated effects. The function handles models with mixed effects and fixed effects separately, ensuring that the comparison is appropriate for the specific model type.
}
\details{
If a model includes mixed effects, the function checks for support for the specific mixed effect structure and provides an informative error message if the structure is not supported.
}
\examples{
\dontrun{
evalData <- compareInferenceToExpected(l_tmb, ground_truth_eff)
}
}
