% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/evaluation_identity.R
\name{eval_identityTerm}
\alias{eval_identityTerm}
\title{Generate an identity term plot and get metrics associated}
\usage{
eval_identityTerm(
  data_identity,
  palette_color = c(DESeq2 = "#500472", HTRfit = "#79cbb8"),
  ...
)
}
\arguments{
\item{data_identity}{A data frame containing comparison results with "actual" and "estimate" columns.}

\item{palette_color}{dict-like palette default: palette_color = c(DESeq2 = "#500472", HTRfit ="#79cbb8")}

\item{...}{additional parameters to pass geom_point aes}
}
\value{
A ggplot2 identity plot and R2 metric associated
}
\description{
This function generates an identity plot for comparing actual values with estimates
}
\examples{
  comparison_data <- data.frame(
   actual = c(1, 2, 3, 4, 5),
   estimate = c(0.9, 2.2, 2.8, 4.1, 5.2),
   description = rep("Category A", 5),
   term = rep("Category A", 5),
   from = c("A", "B", "B", "A", "B"))
eval_identityTerm(comparison_data)
}
