% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidy_glmmtmb.R
\name{getTidyGlmmTMB}
\alias{getTidyGlmmTMB}
\title{Extract Tidy Summary of glmmTMB Model}
\usage{
getTidyGlmmTMB(glm_TMB, ID)
}
\arguments{
\item{glm_TMB}{A glmmTMB model object.}

\item{ID}{An identifier to be included in the output data frame.}
}
\value{
A data frame containing a tidy summary of the fixed and random effects from the glmmTMB model.
}
\description{
This function extracts a tidy summary of the fixed and random effects from a glmmTMB model and binds them together in a data frame. Missing columns are filled with NA.
}
\examples{

model <- glmmTMB::glmmTMB(Sepal.Length ~ Sepal.Width + Petal.Length, data = iris)
tidy_summary <- getTidyGlmmTMB(glm_TMB = model, ID = "Model1")
}
