% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mock_rnaseq.R
\name{getValidDispersion}
\alias{getValidDispersion}
\title{Validate and Filter Dispersion Values}
\usage{
getValidDispersion(input_vector)
}
\arguments{
\item{input_vector}{A vector to be validated.}
}
\value{
A validated and filtered numeric vector.
}
\description{
This function takes an input vector and validates it to ensure that it meets certain criteria.
}
\details{
The function checks whether the input is a vector, suppresses warnings while converting to numeric,
and filters out non-numeric elements. It also checks for values greater than zero and removes negative values.
If the resulting vector has a length of zero, an error is thrown.
}
\examples{
getValidDispersion(c(0.5, 1.2, -0.3, "invalid", 0.8))
}
