% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation_report.R
\name{get_eval_data_from_dds}
\alias{get_eval_data_from_dds}
\title{Extracts evaluation data from a DESeqDataSet (dds) object.}
\usage{
get_eval_data_from_dds(dds, mock_obj, coeff_threshold, alt_hypothesis)
}
\arguments{
\item{dds}{A DESeqDataSet object.}

\item{mock_obj}{A mock object containing ground truth information.}

\item{coeff_threshold}{The coefficient threshold wald test}

\item{alt_hypothesis}{The alternative hypothesis wald test}
}
\value{
A list containing data frames for model parameters and dispersion.
}
\description{
This function takes a DESeqDataSet object, performs tidy evaluation, extracts model parameters
(beta in the case of DESeqDataSet), and compares them to the ground truth effects. Additionally,
it evaluates and compares dispersion inferred from DESeqDataSet with the ground truth gene dispersion.
The results are organized in two data frames, one for model parameters and one for dispersion, both #' labeled as "HTRfit".
}
