% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation_report.R
\name{get_performances_metrics_obj}
\alias{get_performances_metrics_obj}
\title{Compute classification and regression performance metrics object}
\usage{
get_performances_metrics_obj(
  r2_params,
  r2_dispersion,
  pr_obj,
  roc_obj,
  ml_metrics_obj
)
}
\arguments{
\item{r2_params}{R-squared values from model parameters evaluation object.}

\item{r2_dispersion}{R-squared values from dispersion evaluation object.}

\item{pr_obj}{PR object generated from evaluation report.}

\item{roc_obj}{ROC object generated from evaluation report.}

\item{ml_metrics_obj}{Machine learning performance metrics object.}
}
\value{
A list containing separate data frames for by-parameter and aggregated metric values.
}
\description{
This function computes metrics object for both classification and regression performance
from evaluation objects generated by \code{evaluation_report} function. Metrics object
contains the by-parameter and aggregate metrics for PR AUC, ROC AUC, R-squared and other
classification metrics for precision, recall, sensitivity, and specificity. The function
takes as input various evaluation objects including R-squared values (\code{r2_params}),
dispersion values (\code{r2_dispersion}), PR object (\code{pr_obj}), ROC object
(\code{roc_obj}), and machine learning performance metrics object (\code{ml_metrics_obj}).
The function generates separate data frames for metric values by parameter value and for the
aggregated metric values.
}
