% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fitmodel.R
\name{isValidInput2fit}
\alias{isValidInput2fit}
\title{Check if Data is Valid for Model Fitting}
\usage{
isValidInput2fit(data2fit, formula)
}
\arguments{
\item{data2fit}{The data frame or tibble containing the variables to be used for model fitting.}

\item{formula}{The formula specifying the model to be fitted.}
}
\value{
\code{TRUE} if all the variables required in the formula are present in \code{data2fit}, otherwise an error is raised.
}
\description{
This function checks whether the provided data contains all the variables required in the model formula for fitting.
}
\examples{
data(iris)
formula <- Sepal.Length ~ Sepal.Width + Petal.Length
isValidInput2fit(iris, formula) # Returns TRUE if all required variables are present
}
