# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand




test_that("compute_pr_curve computes precision-recall curve", {
  # Mock data for testing
  set.seed(42)
  dt <- data.table::data.table(
    description = rep(c("param1", "param2"), each = 50),
    isDE = sample(0:1, 100, replace = TRUE),
    p.adj = runif(100)
  )

  # Test the compute_pr_curve function
  result <- compute_pr_curve(dt)
  expect_true("recall" %in% names(result))
  expect_true("precision" %in% names(result))
})

test_that("compute_pr_auc computes area under the precision-recall curve", {
  # Mock data for testing
  set.seed(42)
  dt <- data.table::data.table(
    description = rep(c("param1", "param2"), each = 50),
    isDE = sample(0:1, 100, replace = TRUE),
    p.adj = runif(100)
  )

  # Test the compute_pr_auc function
  pr_curve <- compute_pr_curve(dt)
  result <- compute_pr_auc(pr_curve)
  expect_equal(expected = 0.60, round(result, 2))
})

test_that("get_pr_object gets precision-recall objects", {
  # Mock data for testing
  set.seed(42)
  dt_evaldata_params <- data.table::data.table(
    description = rep(c("param1", "param2"), each = 50),
    isDE = sample(c("FALSE","TRUE"), 100, replace = TRUE),
    from = c("A", "B"),
    p.adj = runif(100),
    effect = "fixed"
  )

  # Test the get_pr_object function
  result <- get_pr_object(dt_evaldata_params)
  
  expect_true("byparams" %in% names(result))
  expect_true("aggregate" %in% names(result))
  expect_true("data.frame" %in% class(result$byparams$pr_curve))
  expect_true("data.frame" %in% class(result$byparams$pr_auc))
  expect_true("data.frame" %in% class(result$aggregate$pr_curve))
  expect_true("data.frame" %in% class(result$aggregate$pr_auc))

  ## -- not only fixed effect
  # Mock data for testing
  set.seed(42)
  dt_evaldata_params <- data.table::data.table(
    description = rep(c("param1", "param2"), each = 50),
    isDE = sample(c(TRUE,FALSE), 100, replace = TRUE),
    from = c("A", "B"),
    p.adj = runif(100),
    effect = sample(c("fixed","ran_pars"), 100, replace = TRUE)
  )

  # Test the get_pr_object function
  result <- get_pr_object(dt_evaldata_params)
  
  expect_true("byparams" %in% names(result))
  expect_true("aggregate" %in% names(result))
  expect_true("data.frame" %in% class(result$byparams$pr_curve))
  expect_true("data.frame" %in% class(result$byparams$pr_auc))
  expect_true("data.frame" %in% class(result$aggregate$pr_curve))
  expect_true("data.frame" %in% class(result$aggregate$pr_auc))
  
    
})

test_that("build_gg_pr_curve builds ggplot precision-recall curve", {
  # Mock data for testing
  set.seed(42)
  data_curve <- data.frame(
    from = "A",
    recall = seq(0, 1, length.out = 100),
    precision = runif(100)
  )
  data_auc <- data.frame(from = "A", AUC = 0.75)

  # Test the build_gg_pr_curve function
  result <- build_gg_pr_curve(data_curve, data_auc)
  expect_true("gg" %in% class(result))
})

test_that("get_pr_curve gets precision-recall curves and AUCs", {
  # Mock data for testing
  set.seed(42)
  pr_obj <- list(
    byparams = list(
      pr_curve = data.frame(
        from = c("A"),
        description = rep(c("param1", "param2"), each = 50),
        recall = seq(0, 1, length.out = 100),
        precision = runif(100)
      ),
      pr_auc = data.frame(from = c("A"), description = c("param1", "param2"), AUC = c(0.75, 0.80))
    ),
    aggregate = list(
      pr_curve = data.frame(
        from = c("A"),
        recall = seq(0, 1, length.out = 100),
        precision = runif(100)
      ),
      pr_auc = data.frame(from = c("A"), description = c("param1", "param2"), AUC = c(0.75, 0.80))
    )
  )

  # Test the get_pr_curve function
  result <- get_pr_curve(pr_obj)
  build_gg_pr_curve(pr_obj$aggregate$pr_curve, pr_obj$aggregate$pr_auc )
  expect_true("byparams" %in% names(result))
  expect_true("aggregate" %in% names(result))
  expect_true("gg" %in% class(result$byparams$pr_curve))
  expect_true("gg" %in% class(result$aggregate$pr_curve))
})

